Bug 1447391 - service dialog dynamic code works in admin portal but not in self-service portal
Summary: service dialog dynamic code works in admin portal but not in self-service portal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On: 1431692
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 15:23 UTC by Satoe Imaishi
Modified: 2017-05-31 15:08 UTC (History)
15 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431692
Environment:
Last Closed: 2017-05-31 15:08:02 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 15:33:34 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/98321a2841d6bdc93101b3e747ef4c8239401463

commit 98321a2841d6bdc93101b3e747ef4c8239401463
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue May 2 08:12:11 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 11:28:34 2017 -0400

    Merge pull request #1199 from h-kataria/dynamic_dialog_field_options_fix
    
    Show additional fields for dynamic fields
    (cherry picked from commit ed444a80aa038e0fd2016a6668cb39d73bd7974b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447391

 .../_dialog_field_form.html.haml                   | 24 +++---
 .../_dialog_field_form_dynamic_options.html.haml   | 87 ++++++++++++++++++++++
 ...ield_form_overridable_dynamic_options.html.haml | 59 +++++++++++++++
 3 files changed, 161 insertions(+), 9 deletions(-)
 create mode 100644 app/views/miq_ae_customization/_dialog_field_form_overridable_dynamic_options.html.haml

Comment 3 Shveta 2017-05-10 19:12:20 UTC
Fixed.
Verified in 5.8.0.13-rc2.20170502165848_0f98658

Comment 5 errata-xmlrpc 2017-05-31 15:08:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.